Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model
Interface IPlaceableDescription

All Superinterfaces
  IOfferedEntity, Serializable

All Known Subinterfaces:
  IBookDescription, INavigableDescription, IPageDescription, IPortletRefDescription

    public interface IPlaceableDescription

extends IOfferedEntity

A placeable entity offered by the producer. Books, pages, and portlet instances are proxiable.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`int` | `getAlignment()` Returns the alignment
`int` | `getPlaceholder()` Returns the placeholder.
`int` | `getPlacement()` Returns the placement.
`int` | `getPosition()` Returns the position.
`String` | `getTheme()` Returns the name of the theme
`boolean` | `isDefault()` Returns true if this is the default page/book.

Methods inherited from interface com.bea.wsrp.model.IOfferedEntity
`getHandle, getTitle`

Method Detail

### getPlaceholder

    int getPlaceholder()

  Returns the placeholder.

  Returns
    placeholder

### getPlacement

    int getPlacement()

  Returns the placement.

  Returns
    placement

### getPosition

    int getPosition()

  Returns the position.

  Returns
    position

### getAlignment

    int getAlignment()

  Returns the alignment

  Returns
    alignment

### isDefault

    boolean isDefault()

  Returns true if this is the default page/book.

  Returns
    boolean

### getTheme

    String getTheme()

  Returns the name of the theme

  Returns
    theme

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.